> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# categorygroup

> MDO provider for the CategoryGroup enum.

## "categorygroup" MDO List

MDO provider for the CategoryGroup enum.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.CategoryGroupProvider">CategoryGroupProvider</see> class.
The name of the MDO list is 'categorygroup'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/categorygroup
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("categorygroup", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name               | StyleHint | ExtraInfo |
| -- | ------------------ | --------- | --------- |
| 0  | (No Selection)     |           |           |
| 1  | Customer           |           |           |
| 2  | Potential Customer |           |           |
| 3  | Partner            |           |           |
| 4  | Lost               |           |           |
| 5  | Other              |           |           |

## Related MDO Lists

* "categorygroupheadings"
* "categorygroupheadingswithallitem"
* "categorygroupheadingswithallitemwithnoselection"
* "categorygroupheadingswithnoselection"
* "categorygroupwithallitem"
* "categorygroupwithallitemwithnoselection"
* "categorygroupwithnoselection"


## Related topics

- [Enum values for CategoryGroup](/en/database/tables/enums/categorygroup.md)
- [SuperOffice.WebApi.Data.CategoryGroup](/en/api/reference/webapi/SuperOffice.WebApi.Data.CategoryGroup.md)
- [CategoryGroupLink table](/en/database/tables/categorygrouplink.md)
- [SuperOffice.WebApi.Data.Category](/en/api/reference/webapi/SuperOffice.WebApi.Data.Category.md)
- [SuperOffice.WebApi.Data.CategoryEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.CategoryEntity.md)
- [Category table](/en/database/tables/category.md)
